commit f5b3dae221e6e41ebd806f504d83012173737dab
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Mon May 6 11:39:14 2024 +0800

    i386: testsuite: Adapt fentryname3.c for r14-811 change [PR70150]
    
    After r14-811 "call *nop@GOTPCREL(%rip)" is only generated with
    -mno-direct-extern-access even if --enable-default-pie.  So the r13-1614
    change to this file is not valid anymore.
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/70150
            * gcc.target/i386/fentryname3.c (dg-final): Revert r13-1614
            change.
    
    (cherry picked from commit 8035619b7313d9503852e1c7c8c06cfddca4d648)

diff --git a/gcc/testsuite/gcc.target/i386/fentryname3.c b/gcc/testsuite/gcc.target/i386/fentryname3.c
index c14a4ebb0cf..bd7c997c178 100644
--- a/gcc/testsuite/gcc.target/i386/fentryname3.c
+++ b/gcc/testsuite/gcc.target/i386/fentryname3.c
@@ -3,8 +3,7 @@
 /* { dg-require-profiling "-pg" } */
 /* { dg-options "-pg -mfentry"  } */
 /* { dg-final { scan-assembler "section.*__entry_loc" } } */
-/* { dg-final { scan-assembler "0x0f, 0x1f, 0x44, 0x00, 0x00" { target nonpic } } } */
-/* { dg-final { scan-assembler "call\t\\*nop@GOTPCREL" { target { ! nonpic } } } } */
+/* { dg-final { scan-assembler "0x0f, 0x1f, 0x44, 0x00, 0x00" } } */
 /* { dg-final { scan-assembler-not "__fentry__" } } */
 
 __attribute__((fentry_name("nop"), fentry_section("__entry_loc")))

